aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@me.com>2014-06-20 13:05:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-06-20 13:33:45 +0000
commitdc2bb54489eda9a7d155da9021ab84b80bdad30b (patch)
tree58834acaf97fd878eb76f0b3de74243d2d5ebd2b
parenta7d689678a9c8f50ddb81af366bde03a47164f40 (diff)
downloadaports-dc2bb54489eda9a7d155da9021ab84b80bdad30b.tar.gz
aports-dc2bb54489eda9a7d155da9021ab84b80bdad30b.tar.bz2
aports-dc2bb54489eda9a7d155da9021ab84b80bdad30b.tar.xz
testing/sipcalc: new aport
Advanced terminal-based ip subnet calculator http://www.routemeister.net/projects/sipcalc/
-rw-r--r--testing/sipcalc/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/testing/sipcalc/APKBUILD b/testing/sipcalc/APKBUILD
new file mode 100644
index 0000000000..a2d80a565e
--- /dev/null
+++ b/testing/sipcalc/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=sipcalc
+pkgver=1.1.6
+pkgrel=0
+pkgdesc="Advanced console based ip subnet calculator"
+url="http://www.routemeister.net/projects/sipcalc/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.routemeister.net/projects/sipcalc/files/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir/usr/bin" "$pkgdir/usr/lib" "$pkgdir/usr/share/man/man1"
+ make prefix="$pkgdir"/usr MANDIR="$pkgdir"/usr/share/man/man1 install || return 1
+
+}
+
+md5sums="e431c64387f2c8d20e96ad1d7931a845 sipcalc-1.1.6.tar.gz"
+sha256sums="cfd476c667f7a119e49eb5fe8adcfb9d2339bc2e0d4d01a1d64b7c229be56357 sipcalc-1.1.6.tar.gz"
+sha512sums="9d2047a6fb6ef177d455f44abea19bab7d0131b16eb2444b2b074e94e776854fa74084ab625d2be9b64d136979ede71722c2e24dca12ff54e4a5bb02f947570e sipcalc-1.1.6.tar.gz"